main > .container-fluid {
    padding: 70px 15px 20px;
}

.footer {
    background-color: #f5f5f5;
    font-size: .9em;
    height: 60px;
}

.footer > .container-fluid {
    padding-right: 15px;
    padding-left: 15px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

a{color: #007bff;text-decoration: none;}
/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

a.asc:after {
    border-bottom: solid 7px #212529;
    border-top-width: 0;
}

a.desc:after {
    border-top: solid 7px #212529;
    border-bottom-width: 0;
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5);
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
    outline: none;
}

/*以下新增*/


/*标签必填星号*/
.required label:after,.col-form-label.required:after, .form-label.required:after{
    content: "*";
    margin-left: 0.25rem;
    color: #d63939;
}

/*简单单页样式*/
.single-wrapper{
    background-color: #262626;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;

}
.single-container{
    background-color: rgba(0, 0, 0, 0.1);
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 200;
}

.single-form {
    width: 600px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 40px;
    z-index: 300;
    border: 0;
    border-radius: 6px;
    margin-bottom: 20px;
    box-shadow: none;
}


/*登录样式*/
.login-wrapper{
    background-color: #262626;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;

}
/**
.login-overlay{
    background-size: cover;
    background-image: url(http://123.249.80.73/img/login.jpg);
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    opacity: 1;
}
*/
.login-overlay{
    background-size: cover;
    background-image: url(https://www.biotechplc-file.com/img/login.jpg);
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    opacity: 1;
}
.login-container{
    background-color: rgba(0, 0, 0, 0.2);
    background-image: linear-gradient(to right, transparent 0%, #1b1f27 100%);
    background-repeat: repeat-x;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 200;
    opacity: 0.75;
}

.login-form {
    width: 400px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /*background-color: rgba(38, 43, 54, 0.9);*/
    background-color: #fff;
    padding: 40px;
    z-index: 300;
    border: 0;
    border-radius: 2px;
    margin-bottom: 20px;
    box-shadow: none;
}

/*时间轴*/
.timeline {
    padding: 0;
    position: relative;
    margin-top: 30px;
    list-style-type: none;
}

.timeline:before {
    content: "";
    height: 100%;
    width: 4px;
    background-color: #17a2b8;
    position: absolute;
    left: 20px;
    top: 0;
    transform: translate(-50%, 0);
}

.timeline li {
    position: relative;
    margin-bottom: 50px;
    padding-left: 40px;
}

.timeline li::before {
    content: "";
    height: 15px;
    width: 15px;
    border: 2px solid #17a2b8;
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    left: 20px;
    z-index: 1;
    transform: translate(-50%, -50%);
    top: 0;
}

.timeline li .timeline-content {
    position: relative;
    width: 90%;
    padding: 20px;

    background-color: #f9f9f9;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}



.timeline .timeline-date {
    display: block;
    margin-top: 5px;
    font-size: 14px;
    color: #888;
}